<?php

/**
 * @copyright	Copyright (C) 2020 by XiroWeb
 * @license		GNU/GPL
 * */
// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormField;

class JFormFieldConfigstyleadmin extends FormField {

	protected $type = 'configstyleadmin';

	protected function getInput() {
        $wa = Factory::getApplication()->getDocument()->getWebAssetManager();
		$style = '
                :root, [data-bs-theme=light]{
                    --xiro-ext-input-bg: #ECEFF1;
                }
                [data-bs-theme=dark]{
                    --xiro-ext-input-bg: rgba(255, 255, 255, 0.0666666667);
                }
				.subform-repeatable-group {
					box-shadow: 0 6px 6px rgb(0 0 0 / 7%), 0 6px 6px rgb(0 0 0 / 16%);
					border-radius: 12px;
					padding: 10px;
					background: #f0f0f0;
					margin-bottom: 20px;
					margin-top: 20px;
				}

                select.reset-width {
                    max-width: initial;
                    width: initial;
                    min-width: 180px;
                }
				.subform-repeatable-group .control-label, .subform-repeatable-group .controls {
                    width: 100%;
                }
				.subform-repeatable-group input {
					background-color: var(--xiro-ext-input-bg);
				}
                .field-spacer .control-label {
                    width: 100%; 
                }
                .xirowebspacer label {
                    padding: 0px 0;
                    width: 100%;
                    max-width: 440px;
                }
                .h2 label {
                    font-weight: 700;
                    font-size: 1.35rem;
                }
                .h3 label {
                    font-weight: 700;
                    font-size: 1.15rem;
                }
                .shadow-preview {
                    box-shadow: 0 0rem 3rem rgba(0,0,0,.55)!important;
                }
                .hidden {
                    display: none !important;
                }
                .mod-xirowweb-articles-focus-tags ul.list-inline {
                    display: inline-block;
                }
                .fs-small-1 {
                    font-size: 0.75em;
                }

.placeholder {
    display: inline-block;
    min-height: 1em;
    vertical-align: middle;
    cursor: wait;
    background-color: currentColor;
    opacity: 0.5;
  }
  .placeholder.btn::before {
    display: inline-block;
    content: "";
  }
  
  .placeholder-xs {
    min-height: 0.6em;
  }
  
  .placeholder-sm {
    min-height: 0.8em;
  }
  
  .placeholder-lg {
    min-height: 1.2em;
  }
  
  .placeholder-glow .placeholder {
    -webkit-animation: placeholder-glow 2s ease-in-out infinite;
    animation: placeholder-glow 2s ease-in-out infinite;
  }
  
  @-webkit-keyframes placeholder-glow {
    50% {
      opacity: 0.2;
    }
  }
  
  @keyframes placeholder-glow {
    50% {
      opacity: 0.2;
    }
  }
  .placeholder-wave {
    -webkit-mask-image: linear-gradient(130deg, #000 55%, rgba(0, 0, 0, 0.8) 75%, #000 95%);
    mask-image: linear-gradient(130deg, #000 55%, rgba(0, 0, 0, 0.8) 75%, #000 95%);
    -webkit-mask-size: 200% 100%;
    mask-size: 200% 100%;
    -webkit-animation: placeholder-wave 2s linear infinite;
    animation: placeholder-wave 2s linear infinite;
  }
  
  @-webkit-keyframes placeholder-wave {
    100% {
      -webkit-mask-position: -200% 0%;
      mask-position: -200% 0%;
    }
  }
  
  @keyframes placeholder-wave {
    100% {
      -webkit-mask-position: -200% 0%;
      mask-position: -200% 0%;
    }
  }
		';
        $wa->addInlineStyle($style);
		return '';
	}

	protected function getLabel() {
		return '';
	}
}
